import re

from setuptools import setup, find_packages

with open('pyrest/__init__.py', 'r') as fd:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]',
                        fd.read(), re.MULTILINE).group(1)

setup(name='vito-pyrest',
      version=version,
      author='Bram Janssen',
      author_email='bram.janssen@vito.be',
      description='RESTful API service built in Python. This API focusses on image manipulations.',
      url='',
      packages=find_packages(),
      package_data={'pyrest': ['assets/fonts/*.ttf', 'assets/logos/*.png']},
      install_requires=['imageio', 'datetime', 'multiprocessing', 'pillow', 'Flask==0.12.2', 'flask-restplus==0.12.1', 'six==1.11.0']
      )
